<?php
$sqls[0]['dsc'] = "Field data";
$sqls[0]['sql'] = "
SELECT
    (SELECT MAX(dc_input_power) AS DCMAX FROM bluetti WHERE DATE(InsertTimeStamp) = ?) AS DCMAX,
    (SELECT total_battery_percent AS TOTAL FROM bluetti ORDER BY InsertTimeStamp DESC LIMIT 1) AS CAPACITY,
    (SELECT ROUND(SUM(dc_input_power)) FROM daysum) AS TOTAL,
    (SELECT DATE_FORMAT((SELECT DATE(start_date) FROM config), '%d.%m.%Y')) AS STARTDATE,
    (SELECT 
         ROUND(SUM(ac_output_power - ac_input_power + dc_output_power)*(SELECT kwh_price FROM config), 2) 
       FROM daysum
       WHERE DATE(day) >= (SELECT DATE(start_date) FROM config)) AS PROFIT";

$sqls[1]['dsc'] = "Daily harvest (last 10 days)";
$sqls[1]['sql'] = "
SELECT
    ROUND(dc_input_power, 2) AS 'kWh',
    DATE(Day) AS Day
  FROM daysum
  ORDER BY Day DESC LIMIT 10;";

$sqls[2]['dsc'] = "Daily schedule (DC input, ";
$sqls[2]['sql'] = "
SELECT
    dc_input_power AS 'Watt',
    TIME_FORMAT(InsertTimeStamp, '%H:%i') AS 'Hour'
  FROM bluetti
  WHERE DATE(InsertTimeStamp) = ?
  ORDER BY InsertTimeStamp;";

$sqls[3]['dsc'] = "DC output, ";
$sqls[3]['sql'] = "
SELECT
    dc_output_power AS 'Watt',
    HOUR(InsertTimeStamp) AS 'Hour'
  FROM bluetti
  WHERE DATE(InsertTimeStamp) = ?
  ORDER BY InsertTimeStamp;";

$sqls[4]['dsc'] = "AC input, ";
$sqls[4]['sql'] = "
SELECT
    ac_input_power AS 'Watt',
    HOUR(InsertTimeStamp) AS 'Hour'
  FROM bluetti
  WHERE DATE(InsertTimeStamp) = ?
  ORDER BY InsertTimeStamp;";

$sqls[5]['dsc'] = "AC output)";
$sqls[5]['sql'] = "
SELECT
    ac_output_power AS 'Watt',
    HOUR(InsertTimeStamp) AS 'Hour'
  FROM bluetti
  WHERE DATE(InsertTimeStamp) = ?
  ORDER BY InsertTimeStamp;";

$sqls[6]['dsc'] = "SUM DC input";
$sqls[6]['sql'] = "
SELECT
    ROUND(SUM(dc_input_power*(UNIX_TIMESTAMP(InsertTimeStamp) - UNIX_TIMESTAMP(b2InsertTimeStamp))*0.00027777)/1000, 2) AS 'kWh',
    HOUR(InsertTimeStamp) AS Hour
  FROM (SELECT b1.*, b2.InsertTimeStamp AS b2InsertTimeStamp
          FROM bluetti b1, bluetti b2
          WHERE b1.ID = b2.ID + 1) b
  WHERE DATE(InsertTimeStamp) = ? 
  GROUP BY HOUR(InsertTimeStamp);";

$sqls[7]['dsc'] = "SUM AC input";
$sqls[7]['sql'] = "
SELECT 
    ROUND(SUM(ac_input_power*(UNIX_TIMESTAMP(InsertTimeStamp) - UNIX_TIMESTAMP(b2InsertTimeStamp))*0.00027777)/1000, 2) AS 'kWh',
    HOUR(InsertTimeStamp) AS Hour
  FROM (SELECT b1.*, b2.InsertTimeStamp AS b2InsertTimeStamp
          FROM bluetti b1, bluetti b2
          WHERE b1.ID = b2.ID + 1) b
  WHERE DATE(InsertTimeStamp) = ? 
  GROUP BY HOUR(InsertTimeStamp);";

$sqls[8]['dsc'] = "SUM AC output";
$sqls[8]['sql'] = "
SELECT 
    ROUND(SUM(ac_output_power*(UNIX_TIMESTAMP(InsertTimeStamp) - UNIX_TIMESTAMP(b2InsertTimeStamp))*0.00027777)/1000, 2) AS 'kWh',
    HOUR(InsertTimeStamp) AS Hour 
  FROM
    (SELECT b1.*, b2.InsertTimeStamp AS b2InsertTimeStamp
       FROM bluetti b1, bluetti b2
       WHERE b1.ID = b2.ID + 1) b
  WHERE DATE(InsertTimeStamp) = ?
  GROUP BY HOUR(InsertTimeStamp);";


$sqls[9]['dsc'] = "Capacity graph";
$sqls[9]['sql'] = "
SELECT
    total_battery_percent AS Capacity,
    HOUR(InsertTimeStamp) AS Hour
  FROM bluetti b
  WHERE DATE(InsertTimeStamp) = ?
  GROUP BY HOUR(InsertTimeStamp)
  ORDER BY InsertTimeStamp;";

$sqls[10]['dsc'] = "Daily yield";
$sqls[10]['sql'] = "
SELECT
    y.day,
    ROUND(dc_input_power, 2)
  FROM (SELECT * FROM daysum WHERE YEAR (day) = YEAR(NOW())) d 
  RIGHT JOIN yeardays y ON DAYOFYEAR(d.Day) = y.Day ORDER BY day;";
?>
